CREATE TABLE WSI_CAPABILITY (
    PK PK_TYPE NOT NULL,
    OID ID_TYPE NOT NULL UNIQUE,
    MOD_TIME TIME_T,
    DESCRIPTION LONG_TEXT,
    TARGET_CLASS_NAME GENERAL_NAME COLLATE ISO8859_1,
    CAPABILITY GENERAL_NAME COLLATE ISO8859_1,
    SECURED_REF FOREIGN_KEY_ID,
    SECURED_REF_CL CLASS_NAME COLLATE ISO8859_1);

ALTER TABLE WSI_CAPABILITY ADD CONSTRAINT PK_CAPABILITY PRIMARY KEY(PK);

CREATE UNIQUE DESCENDING INDEX IDX_CAPABILITY ON WSI_CAPABILITY(PK);

ALTER TABLE WSI_CAPABILITY ADD CONSTRAINT FK_CAPABILITY_SECURED FOREIGN KEY (SECURED_REF) REFERENCES WSI_SECURED_OBJECT (PK);

CREATE SEQUENCE WSI_CAPABILITY;

CREATE INDEX IDX_CLASS_CAP ON WSI_CAPABILITY(TARGET_CLASS_NAME,CAPABILITY);