spec_description=Cablelabs vendor-specific options

tagpath=43/2
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=Device type
description=Denotes the type of DOCSIS device. Current possible values are "ECM", "EMTA", "EPS", "SPS", "ESTB", "CARD", "EROUTER". (CL-SP-CANN-DHCP-Reg-I02-080306)
class=Cablelabs

tagpath=43/3
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=Device list
description=Denotes the types of units in the complete DOCSIS device. (CL-SP-CANN-DHCP-Reg-I02-080306)
class=Cablelabs

tagpath=43/4
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=Serial number
description=Denotes the serial number of the device. (CL-SP-CANN-DHCP-Reg-I02-080306)
class=Cablelabs

tagpath=43/5
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=Hardware version
description=Denotes the hardware version number of the device. (CL-SP-CANN-DHCP-Reg-I02-080306)
class=Cablelabs

tagpath=43/6
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=Software version
description=Denotes the software version number of the device. (CL-SP-CANN-DHCP-Reg-I02-080306)
class=Cablelabs

tagpath=43/7
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=Boot ROM version
description=Denotes the boot ROM version number of the device. (CL-SP-CANN-DHCP-Reg-I02-080306)
class=Cablelabs

tagpath=43/8
type=byte_sequence
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=OUI
description=Denotes the vendor-specific Organization Unique Identifier of the device. (CL-SP-CANN-DHCP-Reg-I02-080306)
class=Cablelabs

tagpath=43/9
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=Model number
description=Denotes the model number of the device. (CL-SP-CANN-DHCP-Reg-I02-080306)
class=Cablelabs

tagpath=43/10
type=string
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=Vendor name
description=Denotes the name of the device vendor. (CL-SP-CANN-DHCP-Reg-I02-080306)
class=Cablelabs

tagpath=43/31
type=byte_sequence
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=MTA MAC address
description=Denotes the mac address of the device. (CL-SP-CANN-DHCP-Reg-I02-080306)
class=Cablelabs

tagpath=43/32
type=32bit
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=MTA correlation ID
description=Denotes the PacketCable Provisioning correlation ID. (CL-SP-CANN-DHCP-Reg-I02-080306)
class=Cablelabs

tagpath=82/9/2/1
type=subencoded
vendor_id=4491
signed=false
arrayed=false
user_definable=disallowed
name=CL_V4OPTION_DOCSIS_VERS
description=CMTS DOCSIS version. (CL-SP-CANN-DHCP-Reg-I05-101008, 4.3.1.1)
class=Cablelabs

tagpath=82/9/2/1/1
type=fixed_offset
fixed_offsets="1,0,1","2,1,1"
vendor_id=4491
signed=false
arrayed=false
user_definable=disallowed
name=CMTS DOCSIS Version Number
description=The DOCSIS version number with which the CMTS is compatible. (CL-SP-CANN-DHCP-Reg-I05-101008, 4.3.1.1.1)
class=Cablelabs

tagpath=82/9/2/1/1/1
type=8bit
vendor_id=4491
signed=false
arrayed=false
user_definable=disallowed
name=Major Version Number
description=The DOCSIS major version number with which the CMTS is compatible. (CL-SP-CANN-DHCP-Reg-I05-101008, 4.3.1.1.1)
class=Cablelabs

tagpath=82/9/2/1/1/2
type=8bit
vendor_id=4491
signed=false
arrayed=false
user_definable=disallowed
name=Minor Version Number
description=The DOCSIS minor version number with which the CMTS is compatible. (CL-SP-CANN-DHCP-Reg-I05-101008, 4.3.1.1.1)
class=Cablelabs

tagpath=125/2/1
type=8bit
vendor_id=4491
signed=false
arrayed=true
user_definable=disallowed
name=CL_V4OPTION_ORO
description=Used to request options from this server. (CL-SP-CANN-DHCP-Reg-I05-101008, 4.3.2)
class=Cablelabs

tagpath=125/2/2
type=ipaddress
vendor_id=4491
signed=false
arrayed=true
user_definable=allowed
name=CL_V4OPTION_TFTP_SERVERS
description=A list of TFTP server addresses in preferential order. (CL-SP-CANN-DHCP-Reg-I05-101008, 4.3.3)
class=Cablelabs

tagpath=125/2/3
type=topencoded
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=CL_V4EROUTER_CONTAINER_OPTION
description=A set of DHCP options to be provisioned to all hosts connected to the eRouter. (CL-SP-CANN-DHCP-Reg-I05-101008, 4.3.4)
class=Cablelabs

tagpath=125/2/4
type=8bit
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=CL_V4_PACKETCABLE_MIB_ENV_OPTION
description=The default MIB environment to be used by PacketCable MTAs for provisioning and management. 1 = CableLabs, 2 = IETF, 3 = EuroCableLabs. (CL-SP-CANN-DHCP-Reg-I05-101008, 4.3.5)
class=Cablelabs

tagpath=125/2/5
type=byte_sequence
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=CL_V4OPTION_MODEM_CAPABILITIES
description=The Modem Capabilities Encoding for DOCSIS modems. (CL-SP-CANN-DHCP-Reg-I05-101008, 4.3.6)
class=Cablelabs

tagpath=125/2/123
type=subencoded
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=CL_V4OPTION_CCCV6
description=The Modem Capabilities Encoding for DOCSIS modems. (CL-SP-CANN-DHCP-Reg-I05-101008, 4.4.1)
class=Cablelabs

tagpath=125/2/123/1
type=ipaddress
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=Primary DSS ID
description=The DHCPv6 Server Selector for the primary DHCP server. The default expected data type is an IPv6 address. (CL-SP-CANN-DHCP-Reg-I05-101008, 4.4.1)
class=Cablelabs

tagpath=125/2/123/2
type=ipaddress
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=Secondary DSS ID
description=The DHCPv6 Server Selector for the secondary DHCP server. The default expected data type is an IPv6 address. (CL-SP-CANN-DHCP-Reg-I05-101008, 4.4.1)
class=Cablelabs

tagpath=125/2/124
type=8bit
vendor_id=4491
signed=false
arrayed=false
user_definable=allowed
name=CL_V4OPTION_IP_PREF
description=The preferred IP protocol an eMTA should use when options 122 and CL_V4OPTION_CCCV6 are both present. 1 = IPv4, 2 = IPv6. (CL-SP-CANN-DHCP-Reg-I05-101008, 4.4.2)
class=Cablelabs
