ALTER TABLE WSI_USER_ACCOUNTS ADD LOCALE GENERAL_NAME COLLATE ISO8859_1;

UPDATE DHCP_POLICIES4 SET NAME = 'Global Enforced' WHERE (NAME = 'Global' AND ENFORCE = 1);
UPDATE DHCP_POLICIES4 SET NAME = 'Global Optional' WHERE (NAME = 'Global' AND ENFORCE = 0);

UPDATE DHCP_POLICIES6 SET NAME = 'Global Enforced' WHERE (NAME = 'Global' AND ENFORCE = 1);
UPDATE DHCP_POLICIES6 SET NAME = 'Global Optional' WHERE (NAME = 'Global' AND ENFORCE = 0);

UPDATE DHCP_POLICIES4 SET NAME = NAME || '.' || CAST(OID AS VARCHAR(15)) WHERE OID NOT IN (SELECT MIN(OID) FROM DHCP_POLICIES4 GROUP BY NAME);
UPDATE DHCP_POLICIES6 SET NAME = NAME || '.' || CAST(OID AS VARCHAR(15)) WHERE OID NOT IN (SELECT MIN(OID) FROM DHCP_POLICIES6 GROUP BY NAME);

ALTER TABLE DHCP_POLICIES4 ADD CONSTRAINT POLICIES4_NAMEU UNIQUE (NAME);
ALTER TABLE DHCP_POLICIES6 ADD CONSTRAINT POLICIES6_NAMEU UNIQUE (NAME);
